# $Revision: 1.17 $, $Date: 2012/01/24 16:30:09 $
# TODO:
# - vim doesn't detect filetype
# - pass LDFLAGS (fix as-needed problem first)
Summary:	tmux is a terminal multiplexer
Summary(hu.UTF-8):	tmux egy terminál-sokszorozó
Name:		tmux
Version:	1.6
Release:	3
License:	BSD
Group:		Applications/Terminal
Source0:	http://downloads.sourceforge.net/tmux/%{name}-%{version}.tar.gz
# Source0-md5:	3e37db24aa596bf108a0442a81c845b3
Source1:	%{name}-filedetect.vim
Patch0:		%{name}-term.patch
URL:		http://tmux.sourceforge.net/
BuildRequires:	libevent-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tmux is a terminal multiplexer: it enables a number of terminals (or
windows), each running a separate program, to be created, accessed,
and controlled from a single screen. tmux may be detached from a
screen and continue running in the background, then later reattached.

%description -l hu.UTF-8
tmux egy terminál-sokszorozó: terminálok (vagy ablakok) sokaságát
hozhatd létre, mindegyikben egy külön program fut, létrehozhatsz,
csatlakozhatsz és irányíthatod egyetlen képernyőről. tmux
lecsatlakozhat a képernyőről és folytathatja a futását a háttérben, és
később újracsatlakozhatsz.

%package -n vim-syntax-tmux
Summary:	Vim syntax file to tmux config files
Summary(hu.UTF-8):	Vim syntax fájl a tmux konfigurációs fájljához
Group:		Applications/Editors/Vim

%description -n vim-syntax-tmux
Vim syntax file to tmux config files.

%description -n vim-syntax-tmux -l hu.UTF-8
Vim syntax fájl a tmux konfigurációs fájljához.

%package -n bash-completion-tmux
Summary:	Bash completion for tmux
Group:		Applications/Shells
Requires:	bash-completion

%description -n bash-completion-tmux
This package provides bash-completion for tmux.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	CPPFLAGS="-I/usr/include/ncursesw"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix}

install -d $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/{ftdetect,syntax}
install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/ftdetect/tmux.vim
install examples/tmux.vim $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/syntax
install -d $RPM_BUILD_ROOT%{_datadir}/bash-completion
install examples/bash_completion_tmux.sh $RPM_BUILD_ROOT%{_datadir}/bash-completion/%{name}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
ln -s ../../%{_datadir}/bash-completion/%{name} $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES FAQ NOTES TODO examples/*.conf
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/tmux*

%files -n vim-syntax-tmux
%defattr(644,root,root,755)
%{_datadir}/vim/vimfiles/ftdetect/tmux.vim
%{_datadir}/vim/vimfiles/syntax/tmux.vim

%files -n bash-completion-tmux
%defattr(644,root,root,755)
%{_sysconfdir}/bash_completion.d/%{name}
%{_datadir}/bash-completion/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tmux.spec,v $
Revision 1.17  2012/01/24 16:30:09  uzsolt
- 1.6

Revision 1.16  2011/09/01 06:48:37  arekm
- release 3

Revision 1.15  2011/08/31 18:30:56  arekm
- release 2

Revision 1.14  2011/07/13 06:26:14  arekm
- rel 1; builds

Revision 1.13  2011/07/13 05:53:52  uzsolt
- 1.5
- rel 0.1 (does not build, curses not found)

Revision 1.12  2011/06/02 06:44:20  uzsolt
- correct bash-completion group
- adapter

Revision 1.11  2011/02/24 21:20:02  lisu
- rel 3 (new libevent)

Revision 1.10  2011/02/15 20:41:25  arekm
- rpmcppflags

Revision 1.9  2011/02/11 12:37:36  uzsolt
- bash-completion-tmux requires bash-completion

Revision 1.8  2011/02/10 20:39:19  uzsolt
- bash-completion package
- rel 2

Revision 1.7  2010/12/28 02:23:52  aredridel
- 1.4

Revision 1.6  2010/07/19 07:29:03  lisu
- more TODO

Revision 1.5  2010/07/19 06:06:23  uzsolt
- 1.3

Revision 1.4  2010/03/16 16:42:44  uzsolt
- 1.2
- libevent-devel BR
- use pld-specific cc

Revision 1.3  2009/11/19 18:22:15  uzsolt
- rel 1 (works for me)
- vim-specific TODO

Revision 1.2  2009/11/13 17:39:56  uzsolt
- ncurses-devel BR

Revision 1.1  2009/11/13 17:36:41  uzsolt
- initial

